
flash u8 powpos[10]={0,27,52,72,85,95,108,128,153,180};
u8 aBTA=0xff;
u8 aZ01=0xff;



u8 set_angle(u8 angle) //180 - full power
{
 if(angle>170) angle=170;
 
 return 0xff-(u16)angle*0xff/180; 
}

void set_airflow(u8 val) //0..9 steps
{
 if(val>9)val=9;
 
 aZ01 = set_angle(powpos[val]);
}

void set_heatpow(u8 val) //0..100%
{
 if(val>100)val=100;
 
 val = (u16)val*180/100;
 
 aBTA = set_angle(val);
}

